<!DOCTYPE html>
<html lang="en">
<head>
    <title>Soal No 3 dan 4</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
</head>
<body>
<style>
    .img-poster{
        height: 100px;
        width:100px;
    }

    .img-detail{
        cursor: pointer;
    }

    .modal-dialog{
        background-color:#e3e3e3;
    }

    .btn-close{
        height: 55px;
        width: 100px;
        border-radius: 30px;
        background-color: gray;
        color: white;
        font-weight: bold;
    }
</style>
<div class="container-fluid">
    <div class="row">
        <br>
        <div class="col-sm-6">
            <div class="form-group">
                <label for="">Genre</label>
                <select class="form-control select2" multiple="multiple">
                    
                </select>
            </div>
            
        </div>
        <br>
        <br>
        <br>
        <div class="col-sm-12">
            <table class="table" id="tableMovie">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Poster</th>
                        <th>Judul Film</th>
                        <th>Sipsosis</th>
                    </tr>
                </thead>
                <tbody id="tBody"></tbody>

            </table>
        </div>
    </div>
</div>
<div id="detailMovie" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h3>Detail Movies</h3>
            </div>
            <div class="modal-body">
                <center>
                    <p id="textSinopsis"></p>
                </center>
            </div>
            <div class="modal-footer">
                <center>
                    <button type="button" class="btn btn-default btn-close" data-dismiss="modal">Close</button>
                </center>
                
            </div>
        </div>

    </div>
</div>
</body>
<script>
    if ($("#tableMovie").length) {
        $.get("https://api.themoviedb.org/3/genre/movie/list?api_key=99356c6adca96fcfa1602fb23d559363&language=en-US", function(data, status){
            console.log(data)
            var genre = ''
            if (status == 'success') {
                for (let i = 0; i < data.genres.length; i++) {
                    genre = genre + '<option value="'+data.genres[i].id+'">'+data.genres[i].name+'</option>'
                }
                $(".select2").append(genre)
                $(".select2").select2({
                    tags: true
                });
            }else{
                alert('Gagal akses database')
            }
        });

        $.get("https://api.themoviedb.org/3/discover/movie?api_key=99356c6adca96fcfa1602fb23d559363&language=en-US&sort_by=popularity.desc&include_adult=false&include_video=false&with_genres=", function(data, status){
            var film = []
            if (status == 'success') {
                for (let i = 0; i < data.results.length; i++) {
                    var no = i+1;
                    data.results[i].no = no;
                }
                var table = $('#tableMovie').DataTable( {
                    data: data.results,
                    retrieve: true,
                    columns: [
                        { data: 'no' },
                        { data: 'poster_path' },
                        { data: 'title' },
                        { data: 'overview' }
                    ],
                    columnDefs: [ 
                        {
                            "targets": 1,
                            "data": "poster_path",
                            "render": function ( data, type, row, meta ) {
                                return '<image class="img-poster" src="https://image.tmdb.org/t/p/w500/'+data+'">'
                            }
                        },
                        {
                            "targets": 3,
                            "data": "overview",
                            "render": function ( data, type, row, meta ) {
                                return data+'&nbsp<image class="img-detail" src="http://157.245.53.233/recruitment/info.svg">'
                            }
                        }, 
                    ]
                } );

                $('#tableMovie tbody').on('click', '.img-detail', function () {
                    var data = table.row($(this).parents('tr')).data();
                    $("#textSinopsis").html(data.overview)
                    $("#detailMovie").modal('show')
                });

                $(".select2").change(function(){
                    table.destroy()
                    var gen = $(".select2").val();
                    
                    if (gen.length == 1) {
                        var filter = gen[0];
                    }else if (gen.length > 1) {
                        var filter = ''
                        for (let index = 0; index < gen.length; index++) {
                            if (index == 0) {
                                filter = gen[index]
                            }else{
                                filter = filter+','+gen[index]
                            }
                            
                        }
                    }else{
                        var filter = ''
                    }
                    console.log(filter)
                    $.get("https://api.themoviedb.org/3/discover/movie?api_key=99356c6adca96fcfa1602fb23d559363&language=en-US&sort_by=popularity.desc&include_adult=false&include_video=false&with_genres="+filter+"", function(data, status){
                        var film = []
                        if (status == 'success') {
                            for (let i = 0; i < data.results.length; i++) {
                                var no = i+1;
                                data.results[i].no = no;
                            }
                            table = $('#tableMovie').DataTable( {
                                data: data.results,
                                retrieve: true,
                                columns: [
                                    { data: 'no' },
                                    { data: 'poster_path' },
                                    { data: 'title' },
                                    { data: 'overview' }
                                ],
                                columnDefs: [ 
                                    {
                                        "targets": 1,
                                        "data": "poster_path",
                                        "render": function ( data, type, row, meta ) {
                                            return '<image class="img-poster" src="https://image.tmdb.org/t/p/w500/'+data+'">'
                                        }
                                    },
                                    {
                                        "targets": 3,
                                        "data": "overview",
                                        "render": function ( data, type, row, meta ) {
                                            return data+'&nbsp<image class="img-detail" src="http://157.245.53.233/recruitment/info.svg">'
                                        }
                                    }, 
                                ]
                            } );

                            $('#tableMovie tbody').on('click', '.img-detail', function () {
                                var data = table.row($(this).parents('tr')).data();
                                $("#textSinopsis").html(data.overview)
                                $("#detailMovie").modal('show')
                            });
                        }else{
                            alert('Gagal akses database')
                        }
                    });
                })
            }else{
                alert('Gagal akses database')
            }
        });
    }
    
</script>
</html>
