<!DOCTYPE html>
<html lang="en">
<head>
    <title>Soal No 6</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
</head>
<body>
<style>
    .hidden{
        display:none;
    }

    #rowTable{
        margin-top:15px;
    }
</style>
<div class="container-fluid">
    <div class="row">
        <br>
        <div class="col-md-12">
            <button class="btn btn-primary btn-view">View Data</button>
        </div>
        <br>
        <div class="col-sm-12 hidden" id="rowTable">
            <table class="table " id="tableComment">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Body</th>
                    </tr>
                </thead>
                <tbody id="tBody"></tbody>

            </table>
        </div>
    </div>
</div>
</body>
<script>
    $(".btn-view").click(function(){
        $("#rowTable").removeClass('hidden')
        $.get("https://jsonplaceholder.typicode.com/comments", function(data, status){
            var comment = []
            if (status == 'success') {
                for (let i = 0; i < data.length; i++) {
                    comment = comment + '<tr>'+
                                    '<td>'+data[i].id+'</td>'+
                                    '<td>'+data[i].name+'</td>'+
                                    '<td>'+data[i].email+'</td>'+
                                    '<td>'+data[i].body+'</td>'+
                                '<tr/>'
                }

                $("#tBody").append(comment)
            }else{
                alert('Gagal akses database')
            }
        });
    })
    
</script>
</html>
